# Form implementation generated from reading ui file 'src/eric7/PipInterface/PipPackagesInputDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PipPackagesInputDialog(object):
    def setupUi(self, PipPackagesInputDialog):
        PipPackagesInputDialog.setObjectName("PipPackagesInputDialog")
        PipPackagesInputDialog.resize(600, 130)
        PipPackagesInputDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PipPackagesInputDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_2 = QtWidgets.QLabel(parent=PipPackagesInputDialog)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.packagesEdit = QtWidgets.QLineEdit(parent=PipPackagesInputDialog)
        self.packagesEdit.setObjectName("packagesEdit")
        self.verticalLayout.addWidget(self.packagesEdit)
        self.userCheckBox = QtWidgets.QCheckBox(parent=PipPackagesInputDialog)
        self.userCheckBox.setObjectName("userCheckBox")
        self.verticalLayout.addWidget(self.userCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PipPackagesInputDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(PipPackagesInputDialog)
        self.buttonBox.accepted.connect(PipPackagesInputDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PipPackagesInputDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PipPackagesInputDialog)

    def retranslateUi(self, PipPackagesInputDialog):
        _translate = QtCore.QCoreApplication.translate
        PipPackagesInputDialog.setWindowTitle(_translate("PipPackagesInputDialog", "Packages "))
        self.label_2.setText(_translate("PipPackagesInputDialog", "Package Specifications (separated by whitespace):"))
        self.userCheckBox.setToolTip(_translate("PipPackagesInputDialog", "Select to install to the Python user install directory"))
        self.userCheckBox.setText(_translate("PipPackagesInputDialog", "Install into User Directory"))
